Class | Merb::BootLoader::ReloadClasses
In: | lib/merb-core/bootloader.rb
Parent: | Merb::BootLoader

### Methods

build_paths reload reload! run

### Classes and Modules

Class Merb::BootLoader::ReloadClasses::TimedExecutor

### Public Class methods

build_paths()

Returns a list of the paths on the merb application stack

#### Returns

nil

:api: private

reload(paths = [])

Reloads all files which have been modified since they were last loaded.

#### Returns

nil

:api: private

reload!()

Reloads all the files on the Merb application path

#### Returns

nil

:api: private

run()

Set up the class reloader if class reloading is enabled. This checks periodically for modifications to files loaded by the LoadClasses BootLoader and reloads them when they are modified.

#### Returns

nil

:api: plugin

[Validate]